> For the complete documentation index, see [llms.txt](https://chekin.gitbook.io/chekin-public-api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://chekin.gitbook.io/chekin-public-api/api-reference/reservations/update-reservations.md).

# Update Reservations

<mark style="color:purple;">`PATCH`</mark> `/reservations/{reservation_id}`

The "Update a Reservation" endpoint allows for modifications to an existing reservation. This can include changes to the housing unit, guest information, stay dates, and more, ensuring that reservation details can be updated as needed

**Headers**

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `JWT <token>`      |

**Body**

* **housing** *(string, uuid)*\
  The updated housing unit identifier
* **guest\_group** *(string, uuid)*\
  The updated guest group identifier
* **room\_ids** *(string, uuid)*\
  Updated identifier(s) for the room(s) included in the reservation
* **default\_leader\_full\_name** *(string)*\
  Updated full name of the primary guest or group leader
* **default\_phone\_number** *(integer)*\
  Updated contact number for the reservation
* **default\_email\_language** *(string)*\
  Updated preferred language for email communication
* **check\_in\_date** *(string, date)*\
  Updated check-in date
* **check\_out\_date** *(string, date)*\
  Updated check-out date
* **origin** *(string)*\
  Updated origin of the reservation
* **source** *(string)*\
  Updated source of the reservation
* **external\_id** *(string)*\
  Updated external identifier for the reservation, if applicable
* **booking\_reference** *(string)*\
  Updated booking reference
* **accommodation\_type** *(string)*\
  Updated accommodation type, used for INE statistics reporting (Spain). Send an empty string to clear it. If the housing is connected to an INE statistics integration, only the values for that integration are accepted, otherwise `400 Bad Request` is returned. See [Create Reservations](/chekin-public-api/api-reference/reservations/create-reservations.md#accommodation-type) for allowed values

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "housing": "123e4567-e89b-12d3-a456-426614174000",
  "guest_group": "123e4567-e89b-12d3-a456-426614174000",
  "room_ids": "843077df-7f98-47d7-a106-c29c1ea0f2d3",
  "default_leader_full_name": "Full Name",
  "default_phone_number": 622334455,
  "default_email_language": "eng",
  "check_in_date": "2024-10-11",
  "check_out_date": "2024-10-11",
  "origin": "DEFAULT",
  "source": "text",
  "external_id": "some_external_id",
  "booking_reference": "some_booking reference",
  "accommodation_type": "OTHER",
  ...
}
```

{% endtab %}
{% endtabs %}

**Body Parameters:**

* **housing** *(string, uuid)*\
  The updated housing unit identifier
* **guest\_group** *(string, uuid)*\
  The updated guest group identifier
* **room\_ids** *(string, uuid)*\
  Updated identifier(s) for the room(s) included in the reservation
* **default\_leader\_full\_name** *(string)*\
  Updated full name of the primary guest or group leader
* **default\_phone\_number** *(integer)*\
  Updated contact number for the reservation
* **default\_email\_language** *(string)*\
  Updated preferred language for email communication
* **check\_in\_date** *(string, date)*\
  Updated check-in date
* **check\_out\_date** *(string, date)*\
  Updated check-out date
* **origin** *(string)*\
  Updated origin of the reservation
* **source** *(string)*\
  Updated source of the reservation
* **external\_id** *(string)*\
  Updated external identifier for the reservation, if applicable
* **booking\_reference** *(string)*\
  Updated booking reference
* **accommodation\_type** *(string)*\
  Updated accommodation type, used for INE statistics reporting (Spain). Send an empty string to clear it. If the housing is connected to an INE statistics integration, only the values for that integration are accepted, otherwise `400 Bad Request` is returned. See [Create Reservations](/chekin-public-api/api-reference/reservations/create-reservations.md#accommodation-type) for allowed values
